import utils_default from "../utils/index.js";
import reusable_default from "../channels/reusable.js";
import color_default from "../color/index.js";
import change_default from "./change.js";
var rgba_default = (i, a, o = 0, s = 1) => {
	if (typeof i != "number") return change_default(i, { a });
	let c = reusable_default.set({
		r: utils_default.channel.clamp.r(i),
		g: utils_default.channel.clamp.g(a),
		b: utils_default.channel.clamp.b(o),
		a: utils_default.channel.clamp.a(s)
	});
	return color_default.stringify(c);
};
export { rgba_default as default };
